FROM docker.io/alpine:3.15

ENV NAME=qemu VERSION=0 ARCH=x86_64
LABEL   name="$NAME" \
        version="$VERSION" \
        architecture="$ARCH" \
        run="podman run --rm -it -v 'PROJECT_DIR:/project:z' IMAGE ..." \
        summary="qemu-system-arm for embedded development" \
        maintainer="Andreas Hartmann <hartan@7x.de>" \
        url="https://gitlab.com/c8160/embedded-rust/qemu"

# Add documentation
COPY help.md /

RUN apk add qemu-system-arm && rm -rf /var/cache/apk/*

WORKDIR /project
VOLUME /project

ENTRYPOINT [ "/usr/bin/qemu-system-arm" ]
